<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class SubscriptionCategorySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $this->reset();
        $data = [
            'Cloud Hosting',
            'Domain',
            'Email',
            'Internet Security',
            'Network Device',
            'Network Security',
            'Software',
            'Server',
            'Application System',
        ];
        foreach($data as $row) {
            \App\Models\SubscriptionCategory::create(['name' => $row]);
        }
    }

    public function reset() {
        \App\Models\SubscriptionCategory::truncate();
    }
}
